PUT
/StartImagePipelineExecution
http://imagebuilder.{region}.amazonaws.com/StartImagePipelineExecutionManually triggers a pipeline to create an image.
Access Token Required: API Key
Body Params
clientTokenstringrequired
The idempotency token used to make this request idempotent.
imagePipelineArnstringrequired
The Amazon Resource Name (ARN) of the image pipeline that you want to manually invoke.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://imagebuilder.{region}.amazonaws.com/StartImagePipelineExecution' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}